Package com.pixelmed.utils

## Class LossyJpgBaseLine12BitCompressDICOMSample

- java.lang.Object
- - com.pixelmed.utils.LossyJpgBaseLine12BitCompressDICOMSample

-     public class LossyJpgBaseLine12BitCompressDICOMSample
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected static DicomDictionary` | `dictionary` |
    `protected SpecificCharacterSet` | `specificCharacterSet` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LossyJpgBaseLine12BitCompressDICOMSample()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.io.File` | `compressLossyDicomFile​(java.lang.String resultPath)` |
    `void` | `displayImage()` |
    `static void` | `main​(java.lang.String[] args)` |
    `protected Attribute` | `newAttribute​(AttributeTag tag)` |
    `void` | `read​(DicomInputStream in)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### dictionary

          protected static DicomDictionary dictionary

    - #### specificCharacterSet

          protected SpecificCharacterSet specificCharacterSet

  - ### Constructor Detail

    - #### LossyJpgBaseLine12BitCompressDICOMSample

          public LossyJpgBaseLine12BitCompressDICOMSample()

  - ### Method Detail

    - #### newAttribute

          protected Attribute newAttribute​(AttributeTag tag)
                                    throws DicomException

      Throws:
        `DicomException`

    - #### displayImage

          public void displayImage()
                            throws java.io.IOException,
                                   DicomException

      Throws:
        `java.io.IOException`
        `DicomException`

    - #### compressLossyDicomFile

          public java.io.File compressLossyDicomFile​(java.lang.String resultPath)
                                              throws DicomException,
                                                     java.io.IOException

      Throws:
        `DicomException`
        `java.io.IOException`

    - #### read

          public void read​(DicomInputStream in)
                    throws java.io.IOException,
                           DicomException

      Throws:
        `java.io.IOException`
        `DicomException`

    - #### main

          public static void main​(java.lang.String[] args)
                           throws java.io.IOException,
                                  DicomException

      Throws:
        `java.io.IOException`
        `DicomException`